<template>
    <div>
        <!--Page Title-->
        <section class="page-title" style="background-image:url(assets/images/background/10.jpg);">
            <div class="auto-container">
                <div class="inner-container clearfix">
                    <div class="title-box">
                        <h1>{{$root.lang() == 1 ? 'Tentang Teka Parquet' : $root.lang() == 3 ? 'Über Teka Parkett' : 'About Teka Parquet'}}</h1>
                        <!-- <span class="title">The Interior speak for themselves</span> -->
                    </div>
                    <ul class="bread-crumb clearfix">
                        <li><a href="/">Home</a></li>
                        <li>{{$root.lang() == 1 ? 'Tentang Teka Parquet' : $root.lang() == 3 ? 'Über Teka Parkett' : 'About Teka Parquet'}}</li>
                    </ul>
                </div>
            </div>
        </section>
        <!--End Page Title-->

        <!-- About Section -->
        <section class="about-section" style="background-image: url(assets/images/background/1.jpg);">
            <div class="auto-container">
                <div class="row no-gutters">
                    <!-- Image Column -->
                    <div class="image-column col-lg-6 col-md-12 col-sm-12">
                        <div class="inner-column">
                            <div class="title-box wow fadeInLeft" data-wow-delay='1200ms'>
                                <h2>{{$root.lang() == 1? 'Sejak' : $root.lang() == 3 ? 'Schon Seit' : 'Since'}} <br> {{since}}</h2>
                            </div>
                            <div class="image-box wow fadeInRight" data-wow-delay='600ms'>
                                <figure class="alphabet-img"><img src="/assets/images/resource/alphabet-image.png" alt=""></figure>
                                <figure class="image"><img src="/assets/images/resource/image-1.jpg" alt=""></figure>
                            </div>
                        </div>
                    </div>

                    <!-- Content Column -->
                    <div class="content-column col-lg-6 col-md-12 col-sm-12">
                        <div class="inner-column wow fadeInLeft">
                            <div class="content-box">
                                <div class="title">
                                    <h2>{{name}}</h2>
                                </div>
                                <div class="text">
                                    {{about}}
                                </div>
                                <!-- <div class="link-box"><a href="about.html" class="theme-btn btn-style-one">About Us</a></div> -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        
        <section class="process-section" style="background-image: url(/assets/images/background/8.jpg);">
            <div class="auto-container">
                <div class="sec-title light">
                    <span class="float-text">{{$root.lang() == 1 ? 'KENAPA TEKA' : $root.lang() == 2 ? 'WHY TEKA' : 'WARUM TEKA'}} </span>
                    <h2>{{$root.lang() == 1 ? 'KENAPA TEKA' : $root.lang() == 2 ? 'WHY TEKA' : 'WARUM TEKA'}}</h2>
                </div>
                <div class="row">
                    <!-- Process Block -->
                    <div class="process-block col-lg-3 col-md-6 col-sm-12" v-for="(dt, index) in whys">
                        <div class="inner-box">
                            <span class="count">0{{index+1}}</span>
                            <h4><a href="service-detail.html">{{dt.title}}</a></h4>
                            <div class="text">{{dt.summary}}</div>
                            <!-- <div class="link-box"><a href="service-detail.html">Read More</a></div> -->
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--End Process Section -->

        <!-- Team Section -->
        <section class="team-section">
            <div class="auto-container">
                <div class="sec-title">
                    <span class="float-text">{{$root.lang() == 1? 'Sertifikat' : $root.lang() == 3 ? 'Zertifikat' : 'Certificate'}}</span>
                    <h2>{{$root.lang() == 1? 'Sertifikat' : $root.lang() == 3 ? 'Zertifikat' : 'Certificate'}}</h2>
                </div>

                <div class="row clearfix">
                    <div class="team-block col-lg-4 col-md-6 col-sm-12" v-for="cert in certificates">
                        <div class="inner-box">
                            <div class="image-box">
                                <div class="image">
                                    <a :href="$root.asset(cert.image)" target="_BLANK"><img :src="$root.asset(cert.image)" alt="" style="height: 420px;"></a></div>
                                <h3 class="name"><a style="font-size: 9pt;" href="javascript:void(0)">{{cert.name}}</a></h3>
                            </div>
                            <!-- <span class="designation">Architect</span> -->
                        </div>
                    </div>

                </div>
            </div>
        </section>
        <!--End Team Section -->

    </div>
</template>

<script>
    import ApiFrame from "../services/api/content.js"
    export default {
        data() {
            return {
                certificates: [],
                about: '',
                since: '',
                name: '',
                whys: [],
                partners: []

            }
        },
        mounted() {
            this.partners = ApiFrame.getPartner()
            this.name = ApiFrame.getFrame('home').content.tb_profile.name
            this.about = ApiFrame.getFrame('home').content.tb_profile.about
            this.since = ApiFrame.getFrame('home').content.tb_profile.since
            this.whys = ApiFrame.getFrame('home').content.tb_profile.tb_why_us
            this.certificates = ApiFrame.getCert()
        }
    }

</script>